/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2018-09-04
 * 描述            ：采购单评标规则表
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Pms.Quote.vo;
import java.io.Serializable;
import java.util.Date;

import market.Pms.Quote.mapper.PurPurchaseDMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="PUR_PURCHASE_D", namespace=PurPurchaseDMapper.class)
public class PurPurchaseD extends BaseVO implements Serializable {
	/**
	 * 
	 */
	private static final long serialVersionUID = -5114789550226958539L;
	/** 
	 * 采购单号
	 */ 
	@Id
	private String purchase_no;
	public String getPurchase_no() {
		return this.purchase_no;
	}
	public void setPurchase_no(String purchase_no) {
		this.purchase_no = purchase_no;
	}

	/** 
	 * 标段号
	 */ 
	@Id
	private String bid_no;
	public String getBid_no() {
		return this.bid_no;
	}
	public void setBid_no(String bid_no) {
		this.bid_no = bid_no;
	}

	/** 
	 * 评标标准(6029)
	 */ 
	@Column
	private String bid_std_code;
	public String getBid_std_code() {
		return this.bid_std_code;
	}
	public void setBid_std_code(String bid_std_code) {
		this.bid_std_code = bid_std_code;
	}

	/** 
	 * 评标标准名称
	 */ 
	@Column
	private String bid_std_name;
	public String getBid_std_name() {
		return this.bid_std_name;
	}
	public void setBid_std_name(String bid_std_name) {
		this.bid_std_name = bid_std_name;
	}

	/** 
	 * 评标方案代码
	 */ 
	@Column
	private String bid_project_code;
	public String getBid_project_code() {
		return this.bid_project_code;
	}
	public void setBid_project_code(String bid_project_code) {
		this.bid_project_code = bid_project_code;
	}

	/** 
	 * 评标方案名称
	 */ 
	@Column
	private String bid_project_name;
	public String getBid_project_name() {
		return this.bid_project_name;
	}
	public void setBid_project_name(String bid_project_name) {
		this.bid_project_name = bid_project_name;
	}

	/** 
	 * 备注
	 */ 
	@Column
	private String remark;
	public String getRemark() {
		return this.remark;
	}
	public void setRemark(String remark) {
		this.remark = remark;
	}

	/** 
	 * 创建人ID
	 */ 
	@Column
	private String create_userid;
	public String getCreate_userid() {
		return this.create_userid;
	}
	public void setCreate_userid(String create_userid) {
		this.create_userid = create_userid;
	}

	/** 
	 * 创建人
	 */ 
	@Column
	private String create_name;
	public String getCreate_name() {
		return this.create_name;
	}
	public void setCreate_name(String create_name) {
		this.create_name = create_name;
	}

	/** 
	 * 创建时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date create_time;
	public Date getCreate_time() {
		return this.create_time;
	}
	public void setCreate_time(Date create_time) {
		this.create_time = create_time;
	}

	/** 
	 * 修改人ID
	 */ 
	@Column
	private String update_userid;
	public String getUpdate_userid() {
		return this.update_userid;
	}
	public void setUpdate_userid(String update_userid) {
		this.update_userid = update_userid;
	}

	/** 
	 * 修改人
	 */ 
	@Column
	private String update_name;
	public String getUpdate_name() {
		return this.update_name;
	}
	public void setUpdate_name(String update_name) {
		this.update_name = update_name;
	}

	/** 
	 * 修改时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date update_time;
	public Date getUpdate_time() {
		return this.update_time;
	}
	public void setUpdate_time(Date update_time) {
		this.update_time = update_time;
	}
	/** 
	 * 管理部门代码
	 */ 
	@Column
	private String dept_code;
	public String getDept_code() {
		return this.dept_code;
	}
	public void setDept_code(String dept_code) {
		this.dept_code = dept_code;
	}

	/** 
	 * 管理部门描叙
	 */ 
	@Column
	private String dept_desc;
	public String getDept_desc() {
		return this.dept_desc;
	}
	public void setDept_desc(String dept_desc) {
		this.dept_desc = dept_desc;
	}

	/** 
	 * 管理科室代码
	 */ 
	@Column
	private String unit_code;
	public String getUnit_code() {
		return this.unit_code;
	}
	public void setUnit_code(String unit_code) {
		this.unit_code = unit_code;
	}

	/** 
	 * 管理科室描叙
	 */ 
	@Column
	private String unit_desc;
	public String getUnit_desc() {
		return this.unit_desc;
	}
	public void setUnit_desc(String unit_desc) {
		this.unit_desc = unit_desc;
	}
}
